EMF::OBJECT(3)

NAME
EMF::OBJECT - Global GDI object.

SYNOPSIS

#include <libemf.h>

Inherited by EMF::GRAPHICSOBJECT, and EMF::METAFILEDEVICECONTEXT.

  Public Member Functions

virtual ~OBJECT ()
OBJECTs have a virtual destructor.
OBJECT (void)
virtual OBJECTTYPE getType (void) const =0

  Data Fields

HGDIOBJ handle

Detailed Description

Global GDI object.

The GDI interface defines objects in terms of handles (rather than pointers). In order to emulate this, each object is placed into a global list and the index in that list becomes their handle.

Constructor & Destructor Documentation

  EMF::OBJECT::OBJECT (void) [inline]
Create a new object. It's up to a subclass to create a real handle for this object.

Member Function Documentation

  virtual OBJECTTYPE EMF::OBJECT::getType (void) const [pure virtual]
Return the type of the object.

Implemented in EMF::METAFILEDEVICECONTEXT, EMF::PALETTE, EMF::FONT, EMF::BRUSH, EMF::EXTPEN, and EMF::PEN.

Field Documentation

  HGDIOBJ EMF::OBJECT::handle
The handle of a GDI object.

Referenced by EMF::METAFILEDEVICECONTEXT::clearHandle().

Author

Generated automatically by Doxygen for libemf from the source code.